Package org.eclipse.graphiti.ui.internal.figures

# Class BezierPoint

java.lang.Object
org.eclipse.graphiti.ui.internal.figures.BezierPoint

public class BezierPoint extends Object
A simple data structure, which combines a point with bezier information.

## Constructor Summary

Constructors
Constructor
Description
`BezierPoint()`
`BezierPoint(int x, int y)`
`BezierPoint(int x, int y, int bezierDistanceBefore, int bezierDistanceAfter)`

## Method Summary

Modifier and Type
Method
Description
`final void`
`copyToDraw2dPoint(org.eclipse.draw2d.geometry.Point target)`
`final org.eclipse.draw2d.geometry.Point`
`createDraw2dPoint()`
`boolean`
`equals(Object o)`
`final int`
`getBezierDistanceAfter()`
`final int`
`getBezierDistanceBefore()`
`final int`
`getX()`
`final int`
`getY()`
`int`
`hashCode()`
`final void`
`setBezierDistanceAfter(int bezierDistanceAfter)`
`final void`
`setBezierDistanceBefore(int bezierDistanceBefore)`
`final void`
`setX(int x)`
`final void`
`setY(int y)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BezierPoint

public BezierPoint()

### BezierPoint

public BezierPoint(int x, int y)

### BezierPoint

public BezierPoint(int x, int y, int bezierDistanceBefore, int bezierDistanceAfter)

## Method Details

### getX

public final int getX()

### setX

public final void setX(int x)

### getY

public final int getY()

### setY

public final void setY(int y)

### getBezierDistanceBefore

public final int getBezierDistanceBefore()

### setBezierDistanceBefore

public final void setBezierDistanceBefore(int bezierDistanceBefore)

### getBezierDistanceAfter

public final int getBezierDistanceAfter()

### setBezierDistanceAfter

public final void setBezierDistanceAfter(int bezierDistanceAfter)

### createDraw2dPoint

public final org.eclipse.draw2d.geometry.Point createDraw2dPoint()

### copyToDraw2dPoint

public final void copyToDraw2dPoint(org.eclipse.draw2d.geometry.Point target)

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`